describe('Printer Pages', () => {
  it('loads printer detail page', () => {
    // Setup a basic printer route with a simple mock
    cy.intercept('GET', '/api/printers/*', {
      id: '1',
      name: 'Test Drucker',
      description: 'Ein Testdrucker',
      status: 'available'
    }).as('getPrinter')

    cy.visit('/printer/1')
    cy.wait('@getPrinter')
    cy.contains('Test Drucker')
  })

  it('shows all printers', () => {
    // Mock printers list
    cy.intercept('GET', '/api/printers', [
      { id: '1', name: 'Drucker 1', status: 'available' },
      { id: '2', name: 'Drucker 2', status: 'in_use' },
      { id: '3', name: 'Drucker 3', status: 'maintenance' }
    ]).as('getPrinters')

    cy.visit('/')
    cy.wait('@getPrinters')
    cy.contains('Drucker 1')
    cy.contains('Drucker 2')
    cy.contains('Drucker 3')
  })
})